Package be.cin.mycarenet._1_0.carenet.types

# Class InsurabilityResponseList

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.InsurabilityResponseList

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class InsurabilityResponseList extends Object implements Serializable

Java class for InsurabilityResponseListType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsurabilityResponseListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SingleInsurabilityResponse" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InsurabilityResponseList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<SingleInsurabilityResponse>`
  `getSingleInsurabilityResponses()`
  A list of SingleInsurabilityResponse items.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InsurabilityResponseList

    public InsurabilityResponseList()

- ## Method Details

  - ### getSingleInsurabilityResponses

    public List<SingleInsurabilityResponse> getSingleInsurabilityResponses()
    A list of SingleInsurabilityResponse items. This can be used as an intermediate result file that contains all valid, invalid and incomplete requests. Gets the value of the singleInsurabilityResponses property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the singleInsurabilityResponses property.

    For example, to add a new item, do as follows:

         getSingleInsurabilityResponses().add(newItem);

    Objects of the following type(s) are allowed in the list `SingleInsurabilityResponse`

    Returns:
      The value of the singleInsurabilityResponses property.